<?php

error_reporting(E_ALL | E_STRICT);

/* setup includes */
require_once('includes/master.inc.php');

// double check user is logged in if required
$Auth = Auth::getAuth();
if ((!$Auth->loggedIn()) && (SITE_CONFIG_REQUIRE_USER_ACCOUNT_UPLOAD == 'yes'))
{
    $fileUpload = new stdClass();
    $fileUpload->name = 'Registration required.';
    $fileUpload->size = 0;
    $fileUpload->type = '';
    $fileUpload->error = 'Please register for an account to upload.';
    echo json_encode(array($fileUpload));
    
    exit;
}

$upload_handler = new uploader();

header('Pragma: no-cache');
header('Cache-Control: private, no-cache');
header('Content-Disposition: inline; filename="files.json"');

// check we are receiving the request from this script
if (!checkReferrer())
{
    // exit
    header('HTTP/1.0 400 Bad Request');
    exit;
}

switch ($_SERVER['REQUEST_METHOD'])
{
    case 'HEAD':
    case 'GET':
        $upload_handler->get();
        break;
    case 'POST':
        $upload_handler->post();
        break;
    default:
        header('HTTP/1.0 405 Method Not Allowed');
}
